unit ClientU;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Db, DBClient, MConnect, Grids, DBGrids, ExtCtrls;

type
  TClientForm = class(TForm)
    DCOMConnection1: TDCOMConnection;
    NestedClientDataset: TClientDataSet;
    NestedClientDatasetCustNo: TFloatField;
    NestedClientDatasetCompany: TStringField;
    NestedClientDatasetAddr1: TStringField;
    NestedClientDatasetAddr2: TStringField;
    NestedClientDatasetCity: TStringField;
    NestedClientDatasetState: TStringField;
    NestedClientDatasetZip: TStringField;
    NestedClientDatasetCountry: TStringField;
    NestedClientDatasetPhone: TStringField;
    NestedClientDatasetFAX: TStringField;
    NestedClientDatasetTaxRate: TFloatField;
    NestedClientDatasetContact: TStringField;
    NestedClientDatasetLastInvoiceDate: TDateTimeField;
    NestedClientDatasetOrders: TDataSetField;
    DBGrid1: TDBGrid;
    NestedDataSource: TDataSource;
    DBGrid2: TDBGrid;
    Panel1: TPanel;
    ClientDataSet: TClientDataSet;
    ClientDataSource: TDataSource;
    procedure FormCreate(Sender: TObject);
    procedure NestedClientDatasetReconcileError(DataSet: TClientDataSet;
      E: EReconcileError; UpdateKind: TUpdateKind;
      var Action: TReconcileAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ClientForm: TClientForm;

implementation

{$R *.DFM}

procedure TClientForm.FormCreate(Sender: TObject);
begin
  ClientDataSet.Open
end;

procedure TClientForm.NestedClientDatasetReconcileError(
  DataSet: TClientDataSet; E: EReconcileError; UpdateKind: TUpdateKind;
  var Action: TReconcileAction);
begin
  Action := HandleReconcileError(DataSet, UpdateKind, E);
end;

end.
