program Homework;

{$APPTYPE CONSOLE}

uses
  SysUtils,
  AAGenExp in 'AAGenExp.pas';

var
  F : text;
  ExpArry : array [1..100] of ThwAlgebraicExpr;

procedure Process(const aExpr : ThwExpression);
var
  Answer    : double;
  IntAnswer : integer;
begin
  if EvaluateExpression(aExpr, Answer) then
    if (1.0 <= Answer) and (Answer <= 100.0) then begin
      if (Abs(Frac(Answer)) < 0.00001) then begin
        IntAnswer := Round(Answer);
        if (ExpArry[IntAnswer] = '') then
          ExpArry[IntAnswer] := ConvertExpression(aExpr);
      end;
    end;
end;

var
  i : integer;

begin
  writeln('Starting...');
  try
    for i := 1 to 100 do
      ExpArry[i] := '';
    GenerateExpressions(Process);
    Assign(F, 'HOMEWORK.TXT');
    Rewrite(F);
    try
      for i := 1 to 100 do begin
        if ExpArry[i] = '' then
          writeln(F, i:3, ' **none found**')
        else
          writeln(F, i:3, ' = ', ExpArry[i]);
      end;
    finally
      Close(F);
    end;
    writeln('..done; HOMEWORK.TXT created.');
  except
    on E:Exception do
      writeln(E.Message);
  end;
  write('Press Enter to terminate...');
  readln;
end.
