unit CommonHookU;

interface

uses
  SysUtils, Forms;

var
  RegisterPagesProc: procedure(Group: Integer; const Page: String;
    PageForms: array of TForm) = nil;

procedure RegisterPages(const Page: String; PageForms: array of TForm);

implementation

uses
  Classes;

const
  SPackageError = 'Invalid package load request';

procedure RegisterPages(const Page: String; PageForms: array of TForm);
begin
  if Assigned(RegisterPagesProc) then
    RegisterPagesProc(CurrentGroup, Page, PageForms);
end;

end.
